<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script>
		/*
		Создайте калькулятор

		За каждую операцию будет отвечать отдельная функция, т.е. для сложения - add(a,b), для умножения - multiple(a,b) и т.д. Каждая из них принимает в аргументы только два числа и возвращает результат операции над двумя числами Если число не передано в функцию аргументом - ПО УМОЛЧАНИЮ присваивать этому аргументу 0.

		Основная функция calculate()
		Принимает ТРИ АРГУМЕНТА:
		1 - число
		2 - число
		3 - функция которую нужно выполнить для двух этих чисел. Таким образом получается что основная функция калькулятор будет вызывать переданную ей аргументом функцию для двух чисел, которые передаются остальными двумя аргументами. При делении на 0 выводить ошибку. Функия калькулятор доджна принять на вход 3 аругмента, Если аргументов больше или меньше выводить ошибку.
		*/

		let 	question1 = 1,
				question2 = 2,
				sign = prompt("Укажите действие", "+ - * /"),
				result;

		function	add(a,b) {
			return a + b
		}
		function	sub(a,b) {
			return a - b
		}
		function	mult(a,b) {
			return a * b
		}
		function	div(a,b) {
			return a / b
		}
		function calculator (a,b,callBackFunction) {
			return callBackFunction(a,b)
		};	

		switch (sign) {
			case "+":
			result = calculator(question1, question2, add)
				break;
			case "-":
			result = calculator(question1, question2, sub)
				break;
			case "*":
			result = calculator(question1, question2, mult)
				break;
			case "/":
			result = calculator(question1, question2, div)
				break;
			default: 
			result = "Ой-ой... Что-то пошло не так"
		}
		document.write(result)
	</script>
</body>
</html>